Subject: RE: How to prepend a directory to the PATH to accommodate CVSNT?
From: "Siegfried Heintze" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 6 Oct 2004 11:18:31 -0600

I looked in c:\Cygwin\home\Administrator and could not find a .profile file
using emacs. There was a .bash_profile file. Should I create a .profile
file?
  Thanks,
    Siegfried

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
[email-masked]
Sent: Tuesday, October 05, 2004 5:38 PM
To: Siegfried Heintze
Cc: [email-masked]
Subject: RE: How to prepend a directory to the PATH to accommodate CVSNT?

On  5 Oct, Siegfried Heintze wrote:
>  >Anyway, in your case it should be as simple as this: 
>  > 
>  >PATH="/cygdrive/c/Program Files/cvsnt/bin:$PATH" 
>  > 
>   
>  Where do I put this statement? .bashrc? 

You could, but why not put it in ~/.profile so it's read just once by
the login shell, and any child shells then have it in the environment,
instead of having to do it themselves?

FRom memory, bash will look for ~/.bash_login, ~/.profile, ~/.login,
(not sure if it's in that order), and use the first one it finds.

But it won't do this if $HOME was created by Cygwin "mkdir" instead of
by Windows Explorer, due to some mysterious access permissions problem.

BTW, I use .profile because it's usable regardless of what (Bourne-like)
shell you use.

luke

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/